#!/proj/tcl/install/5.x-sparc/bin/tclsh8.0
#
# Example 3-9
# The newguest.cgi script.
#

#!/bin/sh
# \
exec tclsh "$0" ${1+"$@"}

lappend auto_path [file dirname [info script]]

#package require cgilib
#source [file join \
#	[file dirname [info script]] cgilib.tcl]

set datafile [file join \
	[file dirname [info script]] guestbook.data]

Cgi_Parse

# Open the datafile in append mode

if [catch {open $datafile a} out] {
	Cgi_Header "Guestbook Registration Error" \
		{BGCOLOR=black TEXT=red}
	P
		puts "Cannot open the data file"
	P
	puts $out	;# the error message
	exit 0
}

# Append a Tcl set command that defines the guest's entry

puts $out ""
puts $out [list set Guestbook($cgi(name)) \
	[list $cgi(url) $cgi(html)]]
close $out

# Return a page to the browser

Cgi_Header "Guestbook Registration Confirmed" \
	{BGCOLOR=white TEXT=black}

puts "
<DL>
<DT>Name
<DD>$cgi(name)
<DT>URL
<DD>[Link $cgi(url) $cgi(url)]
</DL>
$cgi(html)
"

Cgi_Tail


